clang 8.0.0

Classes | Namespaces | Typedefs
ExplodedGraph.h File Reference
`#include "clang/Analysis/AnalysisDeclContext.h"`
`#include "clang/Analysis/ProgramPoint.h"`
`#include "clang/Analysis/Support/BumpVector.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramState.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramState_Fwd.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/SVals.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/DepthFirstIterator.h"`
`#include "llvm/ADT/FoldingSet.h"`
`#include "llvm/ADT/GraphTraits.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SetVector.h"`
`#include "llvm/Support/Allocator.h"`
`#include "llvm/Support/Compiler.h"`
`#include <cassert>`
`#include <cstdint>`
`#include <memory>`
`#include <utility>`
`#include <vector>`
Include dependency graph for ExplodedGraph.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::ento::ExplodedNode
class | clang::ento::ExplodedGraph
class | clang::ento::ExplodedNodeSet
struct | llvm::GraphTraits< clang::ento::ExplodedGraph * >

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::ento
| llvm
| DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators.

## Typedefs
using | clang::ento::InterExplodedGraphMap = llvm::DenseMap< const ExplodedNode *, const ExplodedNode * >